# $Id$

#########################################################################
# XDAQ Components for Distributed Data Acquisition                      #
# Copyright (C) 2000-2023, CERN.			              				         #
# All rights reserved.                                                  #
# Authors: L. Orsini, D. Simelevicius, P. Tzanis    					      #
#                                                                       #
# For the licensing terms see LICENSE.		                        	   #
# For the list of contributors see CREDITS.   			        		      #
#########################################################################


BUILD_HOME:=$(shell pwd)/..

BUILD_SUPPORT=build

PROJECT_NAME=folkart

include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/mfAutoconf.rules
include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/mfDefs.$(XDAQ_OS)


#
# Package to be built
#
Project=$(PROJECT_NAME)
Package=application

#
# Source files
#
Sources= \
	Application.cc \
	version.cc

#
# Include directories
#
IncludeDirs = \
	$(XDATA_INCLUDE_PREFIX) \
	$(LOG4CPLUS_INCLUDE_PREFIX) \
	$(CGICC_INCLUDE_PREFIX) \
	$(XCEPT_INCLUDE_PREFIX) \
	$(CONFIG_INCLUDE_PREFIX) \
	$(TOOLBOX_INCLUDE_PREFIX) \
	$(XDAQ_INCLUDE_PREFIX) \
	$(XDATA_INCLUDE_PREFIX) \
	$(XGI_INCLUDE_PREFIX) \
	$(PT_INCLUDE_PREFIX) \
	$(HYPERDAQ_INCLUDE_PREFIX) \
	$(NLOHMANNJSON_INCLUDE_PREFIX)

#
# Compile the source files and create a shared library
#
DynamicLibrary=application



include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/Makefile.rules
include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/mfRPM.rules
